Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class BusinessDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          de.jsystems.framework.controls.FDialog
                              de.jsystems.framework.common.BusinessDialog

All Implemented Interfaces:
  Accessible, IActionInterface, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IWindow, MenuContainer, RootPaneContainer, Serializable, WindowConstants

public class BusinessDialog
extends FDialog

Diese Klasse stellt Standardfunktionalität für einen Dialog dar. Der Dialog enthält ein Menü, eine Statusleiste und eine Toolbar. Mit Hilfe des zugehörigen Controllers kann ein Standardmenü oder eine Standardtoolbar erzeugt werden. Diese brauchen dann nur noch im Dialog gesetzt zu werden.

Die anzuzeigende Oberfläche(BusinessView) wird durch eine Methode gesetzt. Der direkte Aufruf der Methode `getContentPane()` zum hinzufügen sollte nicht benutzt werden. Die Oberfläche muss vom Typ BusinessView sein.
Beim schliessen des Dialogs ueber das Rahmenmenue wird im zugehoerigen Controller die Methode canExit() aus der Klasse `Controller` aufgerufen. Das wird dadurch ermoeglicht, dass im DialogController beim erzeugen des Frames eine `CloseDialogAction` registriert wird.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected BusinessDialogController` | `controller` BusinessDialogController
`protected BusinessView` | `leftView` Enthaelt die linke Oberflaeche fuer den Dialog.
`protected BusinessView` | `rightView` Enthaelt die rechte Oberflaeche fuer den Dialog.
`protected BusinessView` | `view` Enthaelt die eigentliche Oberflaeche fuer den Dialog.

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
``

Fields inherited from class java.awt.Window
``

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BusinessDialog(BusinessFrame frame)` Konstruktor des BusinessDialoges.

Method Summary
`BusinessView` | `getBusinessView()` Gibt die gerade angezeige BusinessView zurück.
`BusinessDialogController` | `getController()` Gibt den Controller des Dialoges zurück.
`BusinessView` | `getLeftBusinessView()` Gibt die auf der linken Seite gesetzte View zurueck.
`BusinessMenu` | `getMenue()` Gibt das Menü des Dialoges zurück.
`BusinessView` | `getRightBusinessView()` Gibt die auf der rechten Seite gesetzte View zurueck.
`DefaultStatusZeile` | `getStatusArea()` Gibt die angezeigte StatusArea zurück.
`BusinessToolbar` | `getToolbar()` Gibt die Toolbar des Dialoges zurück.
`void` | `removeStatusArea()` Löscht die Statuszeile aus der Anzeige.
`void` | `removeToolbar()` Löscht die Toolbar aus der Anzeige.
`void` | `setBusinessView(BusinessView view)` Setzt das Oberflächenelement für den Dialog.
`void` | `setController(BusinessDialogController controller)` Setzt den Controller des Dialoges.
`void` | `setLeftBusinessView(BusinessView newLeftView)` Setzt die uebergebene View als linke View im Dialog.
`void` | `setMenue(BusinessMenu menue)` Setzt das Menü für diesen Dialog.
`void` | `setRightBusinessView(BusinessView newRightView)` Setzt die uebergebene View als rechte View im Dialog.
`void` | `setStatusArea(DefaultStatusZeile statusArea)` Setzt eine Statuszeile im Dialog.
`void` | `setToolbar(BusinessToolbar toolbar)` Setzt die Toolbar für diesen Dialog.
`void` | `zentrieren()` Zentriert den Dialog auf der Mitte des Bildschirms.

Methods inherited from class de.jsystems.framework.controls.FDialog
`addMouseInputListener, getActionClassForComponent, getActionClassForContainer, getActionClassForFocus, getActionClassForHierarchy, getActionClassForHierarchyBounds, getActionClassForInputMethod, getActionClassForKey, getActionClassForMouse, getActionClassForMouseInput, getActionClassForMouseMotion, getActionClassForPropertyChange, getActionClassForWindow, removeMouseInputListener, setActionClassForComponent, setActionClassForContainer, setActionClassForFocus, setActionClassForHierarchy, setActionClassForHierarchyBounds, setActionClassForInputMethod, setActionClassForKey, setActionClassForMouse, setActionClassForMouseInput, setActionClassForMouseMotion, setActionClassForPropertyChange, setActionClassForWindow`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IWindow
`addWindowListener, removeWindowListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Field Detail

### controller

    protected BusinessDialogController controller

  BusinessDialogController

### view

    protected BusinessView view

  Enthaelt die eigentliche Oberflaeche fuer den Dialog.

### leftView

    protected BusinessView leftView

  Enthaelt die linke Oberflaeche fuer den Dialog.

### rightView

    protected BusinessView rightView

  Enthaelt die rechte Oberflaeche fuer den Dialog.

Constructor Detail

### BusinessDialog

    public BusinessDialog(BusinessFrame frame)

  Konstruktor des BusinessDialoges. Hier wird der Dialog vorbereitet, damit er die anzuzeigende BusinessView und die Statuszeile aufnehmen kann. Standardmaessig wird fuer das Schliessen des Dialoges ueber das Fenstermenue (das Kreuz rechts oben in der Ecke) die Action `CloseDialogAction` aufgerufen. Die Action ruft dann im zugehoerigen Controller die Methode `BusinessDialogController.hideDialog()` auf.

Parameters:
  `frame` - Das Frame über dem der Dialog erscheinen soll

Method Detail

### getController

    public BusinessDialogController getController()

  Gibt den Controller des Dialoges zurück.

  Returns:
    Der Controller des Dialoges.

### setController

    public void setController(BusinessDialogController controller)

  Setzt den Controller des Dialoges.

  Parameters:
    `controller` - Der Controller fuer den Dialog.

### setBusinessView

    public void setBusinessView(BusinessView view)

  Setzt das Oberflächenelement für den Dialog. In einem Dialog kann immer nur eine View angezeigt werden. Wenn mehrere angezeigt werden sollen, so muss eine 'Hauptview' fuer den Dialog gebaut werden, die dann die anderen Views aufnimmt. Die vor dem Aufruf dieser Methode angezeigte View wird aus dem Dialog entfernt.

  Parameters:
    `view` - Die im Dialog anzuzeigende Hauptview.

### getBusinessView

    public BusinessView getBusinessView()

  Gibt die gerade angezeige BusinessView zurück.

  Returns:
    Die gerade im Dialog angezeigte View.

### setRightBusinessView

    public void setRightBusinessView(BusinessView newRightView)

  Setzt die uebergebene View als rechte View im Dialog. Aus der uebergebenen View wird hier aber nicht der Titel ausgelesen oder die Eigenschaft, ob der Dialog in der Groesse geaendert werden kann. Lediglich die Groesse aus der uebergebenen View wird ausgelesen und der bisherigen Groesse des Dialoges hinzugerechnet.

  Parameters:
    `newRightView` - Die neue View fuer die rechte Seite.

### getRightBusinessView

    public BusinessView getRightBusinessView()

  Gibt die auf der rechten Seite gesetzte View zurueck.

  Returns:
    Die auf der rechten Seite gesetzte View.

### setLeftBusinessView

    public void setLeftBusinessView(BusinessView newLeftView)

  Setzt die uebergebene View als linke View im Dialog. Aus der uebergebenen View wird hier aber nicht der Titel ausgelesen oder die Eigenschaft, ob der Dialog in der Groesse geaendert werden kann. Lediglich die Groesse aus der uebergebenen View wird ausgelesen und der bisherigen Groesse des Dialoges hinzugerechnet.

  Parameters:
    `newLeftView` - Die neue View fuer die linke Seite.

### getLeftBusinessView

    public BusinessView getLeftBusinessView()

  Gibt die auf der linken Seite gesetzte View zurueck.

  Returns:
    Die auf der linken Seite gesetzte View.

### setMenue

    public void setMenue(BusinessMenu menue)

  Setzt das Menü für diesen Dialog.

  Parameters:
    `menue` - Das Menue fuer den Dialog.

### getMenue

    public BusinessMenu getMenue()

  Gibt das Menü des Dialoges zurück.

  Returns:
    Das Menue des Dialoges.

### setToolbar

    public void setToolbar(BusinessToolbar toolbar)

  Setzt die Toolbar für diesen Dialog.

  Parameters:
    `toolbar` - Die Toolbar des Dialoges.

### getToolbar

    public BusinessToolbar getToolbar()

  Gibt die Toolbar des Dialoges zurück.

  Returns:
    Die Toolbar des Dialoges.

### removeToolbar

    public void removeToolbar()

  Löscht die Toolbar aus der Anzeige.

### setStatusArea

    public void setStatusArea(DefaultStatusZeile statusArea)

  Setzt eine Statuszeile im Dialog.

  Parameters:
    `statusArea` - Eine Statuszeile fuer den Dialog.

### getStatusArea

    public DefaultStatusZeile getStatusArea()

  Gibt die angezeigte StatusArea zurück.

  Returns:
    Die Statuszeile des Dialoges.

### removeStatusArea

    public void removeStatusArea()

  Löscht die Statuszeile aus der Anzeige.

### zentrieren

    public void zentrieren()

  Zentriert den Dialog auf der Mitte des Bildschirms.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD